aboutsummaryrefslogtreecommitdiffstats
path: root/systems/build_base_machine.sh
diff options
context:
space:
mode:
Diffstat (limited to 'systems/build_base_machine.sh')
-rwxr-xr-xsystems/build_base_machine.sh31
1 files changed, 23 insertions, 8 deletions
diff --git a/systems/build_base_machine.sh b/systems/build_base_machine.sh
index 59712b96..37b74ffe 100755
--- a/systems/build_base_machine.sh
+++ b/systems/build_base_machine.sh
@@ -68,15 +68,30 @@ else
die "$distro_dir is not yet supported"
fi
-if [ ! -d /lib/modules/`uname -r`/build ] ; then
- die "Kernel devel is not available for active kernel. It can be caused by recent kernel update. Please reboot and run $0 again."
+if [ $# -eq 0 ]; then
+ echo "No parameters provided - continuing with Lib checking"
+ if [ ! -d /lib/modules/`uname -r`/build ] ; then
+ die "Kernel devel is not available for active kernel. It can be caused by recent kernel update. Please reboot and run $0 again."
+ fi
fi
-# download and compile DPDK, OVS and QEMU
-if [ -f ../src/Makefile ] ; then
- cd ../src
- make || die "Make failed"
- cd -
+if [ $# -eq 0 ]; then
+ echo "No parameters provided - continuing with SRC Download and Compile"
+ # download and compile DPDK, OVS and QEMU
+ if [ -f ../src/Makefile ] ; then
+ cd ../src
+ make || die "Make failed"
+ cd -
+ else
+ die "Make failed; No Makefile"
+ fi
else
- die "Make failed; No Makefile"
+ echo "Downloading and compiling only T-Rex"
+ if [ -f ../src/trex/Makefile ]; then
+ cd ../src/trex/
+ make || die "Make failed"
+ cd -
+ else
+ die "Make failed; No Makefile"
+ fi
fi